MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005253AContentContentpublic2013-04-02 10:102014-09-08 16:37
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3Fixed in Version1.4 
Summary0005253: author/category not saved
DescriptionWhen an admin creates a new course/lesson and assigns an author and category, those values are not saved, or at least they do not get retreived when the properties for that lesson are later viewed. If the properties are updated/edited, then those values are saved.

http://atutor.ca/view/3/24043/1.html [^]
Steps To ReproduceProbably worth issuing a patch
TagsNo tags attached.
Attached Fileszip file icon ISSUE-5253.zip [^] (798 bytes) 2013-05-06 10:17

- Relationships

-  Notes
(0006384)
mayank (reporter)
2013-05-02 15:27

I have wrote a patch for this and created a pull request - https://github.com/atutor/AContent/pull/22 [^]

Please let me know if any changes are required.

Thanks,
Mayank
(0006386)
greg (administrator)
2013-05-03 09:11

A patch is needed using the Updater module in AContent.
(0006400)
mayank (reporter)
2013-05-04 15:06

Hi Greg,
Uploaded the patch generated using Updater module.
I have given the System Update ID as 'ISSUE-5253'.
http://update.atutor.ca/acontent/patch/1_3/patch_list.xml [^] shows - the maximum system_patch_id as 4, but I was not sure if someone else would be using 5.

Please let me know if any changes are required.

Thanks!
(0006973)
greg (administrator)
2014-09-08 15:56

merged mayankgupta patch

2ffa431447572fa3d39c5986994c48d7c56e16a7

- Related Changesets
AContent: master 2ffa4314
Timestamp: 2014-09-08 15:53:00
Author: greg
Details ] Diff ]
Merge pull request 0000022 from mayankgupta/ISSUE-5253

5253 - fix saving author, catgegory on creating new course/lesson
mod - home/course/course_property.php Diff ] File ]
mod - home/ims/ims_import.php Diff ] File ]
mod - include/classes/DAO/CoursesDAO.class.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-02 10:10 greg New Issue
2013-04-02 10:10 greg Status new => assigned
2013-04-02 10:10 greg Assigned To => greg
2013-05-02 15:27 mayank Note Added: 0006384
2013-05-03 09:11 greg Note Added: 0006386
2013-05-04 15:00 mayank File Added: ISSUE-5253.zip
2013-05-04 15:06 mayank Note Added: 0006400
2013-05-06 10:17 user1 File Deleted: ISSUE-5253.zip
2013-05-06 10:17 mayank File Added: ISSUE-5253.zip
2014-09-08 15:56 greg Note Added: 0006973
2014-09-08 15:56 greg Status assigned => resolved
2014-09-08 15:56 greg Fixed in Version => 1.4
2014-09-08 15:56 greg Resolution open => fixed
2014-09-08 16:37 greg Changeset attached => AContent master 2ffa4314


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker